package pathgame.gameplay.menu;

import me.hammerle.snuviengine.api.Engine;
import pathgame.gameplay.Gamestates;

public class MainMenu extends BaseMenu
{
    private final MenuOption[] options;
    
    public MainMenu(int id, int optionsId)
    {
        super(id);
        
        options = new MenuOption[] 
        {
            new MenuOption("Start", (gamestate) -> 
            {
                gamestate.setState(Gamestates.GAMEPLAY);
            }),
            new MenuOption("Options", (gamestate) -> 
            {
                setReturnId(optionsId);
            }),
            new MenuOption("Exit", (gamestate) -> 
            {
                Engine.stop();
            })
        }; 
    }

    @Override
    public MenuOption[] getOptions()
    {
        return options;
    }
}
